API ReferenceCampaigns
Campaigns Offers Create
Create an offer on the campaign, with its condition and benefit.
Authorization
oauth2 campaigns:writeAuthorizationBearer <token>
Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123
In: header
Scope: campaigns:write
Path Parameters
id*integer
Campaign ID.
Header Parameters
X-29next-API-Version*"2024-04-01"
Default
"2024-04-01"Value in
- "2024-04-01"
Response Body
application/json
curl -X POST "https://example.com/campaigns/0/offers/" \ -H "X-29next-API-Version: 2024-04-01" \ -H "Content-Type: application/json" \ -d '{ "benefit": { "type": "package_percentage", "value": "string" }, "condition": { "type": "any" }, "name": "string" }'{ "available": true, "benefit": { "description": "string", "price_rounding": "0.00", "type": "package_percentage", "value": "string" }, "code": "string", "condition": { "all_packages": true, "description": "string", "packages": [ { "id": 0, "name": "string", "product_id": 0, "product_sku": "string" } ], "type": "any", "value": "string" }, "id": 0, "name": "string", "offer_type": "offer"}